- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_server_description_t

# mongoc_server_descriptions_destroy_all()

## Synopsis

    void
    mongoc_server_descriptions_destroy_all (mongoc_server_description_t **sds,
                                            size_t n);

Frees the array of mongoc_server_description_t structs returned by mongoc_client_get_server_descriptions().

## Parameters

- `sds`: The array of server descriptions.
- `n`: The number of elements in `sds`.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.